## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           PyDrive2
Version:        1.19.0
Release:        %autorelease
Summary:        Google Drive API Python wrapper library, maintained fork of PyDrive

License:        Apache-2.0
URL:            https://github.com/iterative/PyDrive2
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Google Drive API Python wrapper library. Maintained fork of PyDrive.

%package -n     python3-%{name}
Summary:        %{summary}

Obsoletes:      python3-PyDrive < 1.3.1-22

%description -n python3-%{name}
Google Drive API Python wrapper library. Maintained fork of PyDrive.

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pydrive2

# No check as requires credentials for GoogleAuth

%files -n python3-%{name} -f %{pyproject_files}
%doc README.rst
%license LICENSE

%changelog
## START: Generated by rpmautospec
* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.19.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.19.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 09 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.19.0-1
- Update to 1.19.0 - Closes rhbz#2256707

* Sun Dec 31 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.18.1-1
- Update to 1.18.1 - Closes rhbz#2255297

* Thu Dec 07 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.18.0-1
- Update to 1.18.0 - Closes rhbz#2253086 rhbz#2253467

* Sun Sep 17 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.17.0-2
- Fix version in Obsoletes

* Wed Aug 16 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.17.0-1
- Update to 1.17.0 - Closes rhbz#2232260

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.16.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.16.1-1
- Update to 1.16.1 - Closes rhbz#2220824

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1.16.0-2
- Rebuilt for Python 3.12

* Sat Jun 24 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.16.0-1
- Update to 1.16.0 - Closes rhbz#2217138

* Sun May 21 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.15.4-1
- Update to 1.15.4 - Closes rhbz#2208814

* Sat Apr 15 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.15.3-1
- Update to 1.15.3 - Closes rhbz#2185476

* Fri Mar 31 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.15.2-1
- Update to 1.15.2 - Closes rhbz#2183618

* Sat Feb 25 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.15.1-2
- Move Obsoletes to the binary subpackage

* Tue Feb 21 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.15.1-1
- Update to 1.15.1 - Closes rhbz#2171971

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 18 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.15.0-1
- Update to 1.15.0 - Closes rhbz#2142953

* Thu Aug 04 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.14.0-2
- Fix sources as Source0 now uses pypi_source

* Thu Aug 04 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.14.0-1
- Update to 1.14.0 - Closes rhbz#2108281

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 18 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.11.2-1
- Update to 1.11.2 - Closes rhbz#2108281

* Mon Jul 18 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.11.0-1
- Update to 1.11.0 - Closes rhbz#2108186

* Mon Jul 18 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.10.2-1
- Update to 1.10.2 - Closes rhbz#2107940

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 1.10.1-2
- Rebuilt for Python 3.11

* Tue Apr 19 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.10.1-1
- Update to 1.10.1 - Closes rhbz#2076429

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Oct 25 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.10.0-1
- Initial package

## END: Generated by rpmautospec
